Subject: Re: bug#65874: 30.0.50; outline-minor-mode-use-buttons missing choice

From: Mauro Aranda <[email-masked]>
Date: Tue, 12 Sep 2023 06:55:57 -0300

On 12/9/23 03:59, Juri Linkov wrote:
 >> The docstring for outline-minor-mode-use-buttons says its value can be
 >> the symbol insert, but that choice is not present in its :type.
 >>
 >> I can't send a patch, because I can't figure out a good :tag for it.
 >
 > Such omission is intentional, because 'insert' can be used only
 > in generated buffers, not in editable buffers, so disallowing
 > customization to the value 'insert' protects the users
 > from damaging editable buffers.

I see, thanks.  How about adding something to the docstring some text to
explain that?  And/or maybe add a comment in the :type to clarify that
the omission is intentional?